Skip to main content
POST
https://prod-api.raisedonors.com
/
api
/
Campaign
Create a Campaign
curl --request POST \
  --url https://prod-api.raisedonors.com/api/Campaign \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "startDateTimeUtc": "2023-11-07T05:31:56Z",
  "endDateTimeUtc": "2023-11-07T05:31:56Z",
  "givingGoal": 123,
  "hasGivingGoal": true,
  "totalGiftGoal": 123,
  "hasTotalGiftGoal": true,
  "averageGiftGoal": 123,
  "hasAverageGiftGoal": true,
  "crmKey": "<string>",
  "crmKeys": {},
  "applySegmentToRecurringGifts": true,
  "canSync": true,
  "segments": [
    {
      "campaignId": 123,
      "name": "<string>",
      "code": "<string>",
      "description": "<string>",
      "externalIdentifier": "<string>"
    }
  ]
}
'
{
  "id": 123,
  "name": "<string>",
  "description": "<string>",
  "startDate": "<string>",
  "endDate": "<string>",
  "duration": "<string>",
  "canSync": true,
  "crmKey": "<string>",
  "crmKeyUrls": {},
  "applySegmentToRecurringGifts": true,
  "givingGoal": 123,
  "givingGoalFormatted": "<string>",
  "hasGivingGoal": true,
  "raisedAmount": "<string>",
  "raisedPercentage": 123,
  "totalGiftGoal": 123,
  "hasTotalGiftGoal": true,
  "totalGifts": 123,
  "totalGiftsPercentage": 123,
  "totalDonors": 123,
  "averageGiftGoal": 123,
  "averageGiftGoalFormatted": "<string>",
  "averageGiftAmount": "<string>",
  "hasAverageGiftGoal": true,
  "totalVisitors": 123,
  "conversionRate": "<string>",
  "createdDateTime": "<string>",
  "modifiedDateTime": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The campaign request.

name
string
required
Minimum string length: 1
startDate
string<date-time>
required
Minimum string length: 1
endDate
string<date-time>
required
Minimum string length: 1
description
string | null
startDateTimeUtc
string<date-time>
endDateTimeUtc
string<date-time>
givingGoal
number<double>
hasGivingGoal
boolean
totalGiftGoal
integer<int32>
hasTotalGiftGoal
boolean
averageGiftGoal
number<double>
hasAverageGiftGoal
boolean
crmKey
string | null
crmKeys
object
applySegmentToRecurringGifts
boolean
canSync
boolean
segments
object[] | null

Response

OK

Represents the detailed view of a campaign returned by create, update, and single-campaign retrieval endpoints.

id
integer<int64>

Gets or sets the identifier.

name
string | null

Gets or sets the name.

description
string | null

Gets or sets the description.

startDate
string | null
read-only

Gets or sets the start date.

endDate
string | null
read-only

Gets or sets the end date.

duration
string | null
read-only

Gets or sets the duration.

canSync
boolean
read-only

Gets or sets the can sync.

crmKey
string | null

Gets or sets the crmkey.

crmKeyUrls
object

CRM URLs for this campaign grouped by integration type.

applySegmentToRecurringGifts
boolean

Gets or sets the apply segment to recurring gifts.

givingGoal
number<double>

The giving goal for the campaign in the organization base currency.

givingGoalFormatted
string | null
read-only

The giving goal formatted for display in the organization currency (for example "$10,000.00").

hasGivingGoal
boolean

Gets or sets the has giving goal.

raisedAmount
string | null
read-only

Gets or sets the raised amount.

raisedPercentage
number<double>
read-only

Percentage of the giving goal that has been raised (0–100).

totalGiftGoal
integer<int32>

Gets or sets the total gift goal.

hasTotalGiftGoal
boolean

Gets or sets the has total gift goal.

totalGifts
integer<int32>
read-only

Gets or sets the total gifts.

totalGiftsPercentage
number<double>
read-only

Percentage of the gift count goal that has been reached (0–100).

totalDonors
integer<int32>
read-only

Gets or sets the total donors.

averageGiftGoal
number<double>

The target average gift amount in the organization base currency.

averageGiftGoalFormatted
string | null
read-only

The target average gift amount formatted for display (for example "$100.00").

averageGiftAmount
string | null
read-only

The actual average gift amount formatted for display.

hasAverageGiftGoal
boolean

Gets or sets the has average gift goal.

totalVisitors
integer<int32>
read-only

Gets or sets the total visitors.

conversionRate
string | null
read-only

The conversion rate for the campaign formatted as a percentage string (for example "12.3%").

createdDateTime
string | null
read-only

Gets or sets the created date time.

modifiedDateTime
string | null
read-only

Gets or sets the modified date time.

Last modified on June 5, 2026